Subject: Re: [PATCH] submodule: make 'show' an alias for 'summary'

From: Jens Lehmann <[email-masked]>
Date: Mon, 01 Oct 2012 21:31:54 +0200

Am 01.10.2012 19:33, schrieb Ramkumar Ramachandra:
> Jens Lehmann wrote:
>> Am 01.10.2012 08:45, schrieb Ramkumar Ramachandra:
>>> Jens Lehmann wrote:
>>>> I'm very interested in your feedback as a first time submodule user,
>>>> what you wrote above makes sense and explains why you did that patch
>>>> (and it would have been nice to read some of it in the commit message
>>>> ;-). What information did you expect to get from a "git submodule
>>>> show" which isn't already provided by "git status" and "git diff"
>>>> (especially as they give you some information the "git submodule"
>>>> commands don't)?
>>>
>>> I expected 'git submodule show' to list all the submodules, and show
>>> changes to specific submodules like the 'git submodule summary'
>>> output.
>>
>> Ok, but "git submodule summary" doesn't list all the submodules,
>> only those with changes. Maybe "git submodule status" is closer
>> to what you expect (except for the missing changes)?
> 
> Yes, "git submodule status" with "git submodule summary"-style change output.

So just aliasing "show" to "summary" would not have done the trick,
right? ;-)

>> And - apart from the list of all submodules - the changes to them
>> are given by "git status" and "git diff --submodule" too, right?
> 
> Oh, I didn't know about "git diff --submodule" at all.
> 
>> (sometimes I forget that "--submodule" is not enabled by default,
>> as I'm a heavy "git gui" user, and that option is used there. We
>> might need a config option to turn that on)
> 
> That's a good idea.  I'll write a patch tomorrow.

Cool! I suspect showing the difference in shortlog style is much
more useful than seeing the hashes.

>> Me too would expect a show command to show me a list of all the
>> submodules and maybe some extra information (is it populated or
>> not, does it have its .git directory embedded, does it contain
>> changes). So maybe "show" should be a slightly pimped "status"?
> 
> Sure.  Do we want to create a new subcommand though?  Aren't "status"
> and "summary" enough already?

Yes, I don't think we need a new command. Maybe someday we will
change "git submodule status" to contain less hash and maybe some
other infos, but we're not there yet.